Subject: Dynamic Loader Problems?

From: [email-masked]
Date: Tue, 6 Jul 1993 19:34:35 +22321159 (EDT)

Hi,

I have a 1/4 Meg .o file that I am trying to dynamically
load into the backend.  I am running on a SPARCstation IPC.
I am compiling things with gcc.

I created it using the ld command that combines multiple
.o files into a single .o:

	${LD} -d -r -t  ${POBJS} ${LIBDIRS} ${PLIBS}  -o gaeatime.o

SYMPTOM 1:
----------
I've been getting really flaky results depending on the
order that issue queries.  I was able recreate one scenario
several times and it went something like this:

	1) Issue a postquel query that uses a user defined function
	2) gaeatime.o is dynamically loaded
	3) The user defined function is executed
	4) The user defined function calls another function
           inside gaeatime.o
	5) We never arrive at the new function.

SYMPTOM 2:
----------
	1) Issue the load statement for gaeatime.o
	2) Issue the load statement again
	3) The backend crashes.

-- 
-----------------------------------------------------
"We're only immortal for a limited time..."

Bob Dugan	   [email-masked]  508-799-5150
Graduate Student   WPI CS Dept., Worcester, MA 01609
-----------------------------------------------------